package meerkat.comm;

/**
 * Created by talm on 24/10/15.
 */
public class CommunicationException extends Exception {
	
	/**
	 * Generated serial.
	 */
	
	private static final long serialVersionUID = 2279440129497891293L;
	private String message;
	
	/**
	 * Default constructor. To be used only if error type is unknown.
	 */
	public CommunicationException(){
		message = "Unknown communication exception";
	}
	
	/**
	 * Constructor enabling specifying of an error message.
	 * @param errorMessage
	 */
	public CommunicationException(String errorMessage){
		message = errorMessage;
	}
	
	/**
	 * @return the error message specified.
	 */
	public String getMessage(){
		return message;
	}
}
